Bug 37547 - Exception in unhandled exception handler not catched after Thread.Abort
Summary: Exception in unhandled exception handler not catched after Thread.Abort
Status: RESOLVED DUPLICATE of bug 32508
Alias: None
Product: Runtime
Classification: Mono
Component: General (show other bugs)
Version: unspecified
Hardware: All All
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-01-09 20:06 UTC by Alexander Köplinger [MSFT]
Modified: 2016-01-25 11:05 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
test.cs (765 bytes, text/plain)
2016-01-09 20:06 UTC, Alexander Köplinger [MSFT]
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED DUPLICATE of bug 32508

Description Alexander Köplinger [MSFT] 2016-01-09 20:06:44 UTC
Created attachment 14514 [details]
test.cs

Compile attached repro code:

> mcs test.cs

Run it:

> mono test.exe

This results in the following output:

> About to throw exception.
> Catched exception: From OnUnhandledException
> exception inside UnhandledException handler: 

As you can see, the code after the catch in the unhandled exception handler wasn't executed.
Additionally the default behavior of printing an unhandled exception isn't shown as well.

On MS.NET the following expected output is printed:

> About to throw exception.
> Catched exception: From OnUnhandledException
> After catch
>
> Unhandled exception: System.Exception: From OnCBFinished
> [ .. stack trace ..]
Comment 1 Ludovic Henry 2016-01-25 11:05:23 UTC

*** This bug has been marked as a duplicate of bug 32508 ***